%define upstream_name    Archive-Zip
%define upstream_version 1.68

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Provide an interface to ZIP archive files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz
#fix: $ unzip -t testout-hITJh.zip
#Archive:  testout-hITJh.zip
#   skipping: test/test                need PK compat. v4.5 (can do v2.1)
#    testing: test/                    OK
#No errors detected in testout-hITJh.zip for the 1 file tested.
#1 file skipped because of unsupported compression or encryption.

BuildRequires: perl(Compress::Raw::Zlib) >= 2.17.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Seekable)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Local)
BuildRequires: unzip > 6.1c-5.mga8
BuildRequires: git
BuildRequires: pkgconfig(zlib)
BuildArch:  noarch

%description
A Perl module that provides an interface to ZIP archive files.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
if test "%{upstream_version}" = "1.59" ; then
    true
else
    make test
fi

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{_bindir}/crc32
%{perl_vendorlib}/Archive
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.680.0-3.mga10
+ Revision: 2205949
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.680.0-2.mga9
+ Revision: 1812500
- Mageia 9 Mass Rebuild

* Fri Mar 13 2020 shlomif <shlomif> 1.680.0-1.mga8
+ Revision: 1556025
- update to 1.68

* Sun Feb 16 2020 umeabot <umeabot> 1.670.0-2.mga8
+ Revision: 1534829
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 1.670.0-1.mga8
+ Revision: 1450120
- update to 0.67
- remove patch for testsuite now that we have a fixed unzip

* Thu Sep 26 2019 tv <tv> 1.660.0-1.mga8
+ Revision: 1446693
- update to 1.66
- fix testsuite failing with unzip b/c of "need PK compat. v4.5 (can do v2.1)"
  (FC's unzip supports it, ours doesn't, maybe b/c FC's one is linked against libbz2)

* Tue Sep 10 2019 tv <tv> 1.650.0-1.mga8
+ Revision: 1439250
- update to 1.65

* Thu Sep 20 2018 umeabot <umeabot> 1.640.0-2.mga7
+ Revision: 1281774
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 1.640.0-1.mga7
+ Revision: 1258690
- update to 1.64

* Thu Aug 23 2018 tv <tv> 1.630.0-1.mga7
+ Revision: 1253520
- update to 1.63

* Tue Aug 21 2018 tv <tv> 1.620.0-1.mga7
+ Revision: 1253244
- update to 1.62

* Fri Jul 06 2018 shlomif <shlomif> 1.600.0-2.mga7
+ Revision: 1242250
- fix MGA#23285 .

* Tue Jan 09 2018 shlomif <shlomif> 1.600.0-1.mga7
+ Revision: 1191819
- Fix double doc
- New version 1.60 - tests run again

* Mon Oct 02 2017 tv <tv> 1.590.0-2.mga7
+ Revision: 1163128
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.590.0-1.mga7
+ Revision: 1155849
- new release

* Sat Jun 18 2016 pterjan <pterjan> 1.570.0-2.mga6
+ Revision: 1022567
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 1.570.0-1.mga6
+ Revision: 1007357
- New version 1.57 archive
- New version 1.57

* Sun Jan 24 2016 luigiwalser <luigiwalser> 1.560.0-1.mga6
+ Revision: 926770
- BR Test::MockModule
- 1.56

* Mon Sep 28 2015 sander85 <sander85> 1.530.0-1.mga6
+ Revision: 884396
- update to 1.53

* Sun Sep 06 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 873396
- update to 1.50

* Sat Aug 01 2015 sander85 <sander85> 1.490.0-1.mga6
+ Revision: 860321
- update to 1.49

* Sun Jul 05 2015 sander85 <sander85> 1.480.0-1.mga6
+ Revision: 851389
- update to 1.48

* Wed Oct 15 2014 umeabot <umeabot> 1.380.0-3.mga5
+ Revision: 739108
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.380.0-2.mga5
+ Revision: 683540
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 1.380.0-1.mga5
+ Revision: 671403
- update to 1.38

* Wed Feb 05 2014 shlomif <shlomif> 1.370.0-1.mga5
+ Revision: 583810
- update to 1.37

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 522014
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 pterjan <pterjan> 1.300.0-2.mga3
+ Revision: 394551
- Fix URL
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 24311
- fix specs
- imported package perl-Archive-Zip


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.300.0-1mdv2010.1
+ Revision: 402978
- rebuild using %%perl_convert_version

* Wed Jul 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdv2010.0
+ Revision: 391180
- update to new version 1.30

* Tue Jun 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2010.0
+ Revision: 390832
- update to new version 1.29

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.28-1mdv2010.0
+ Revision: 386994
- update to new version 1.28

* Tue Oct 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdv2009.1
+ Revision: 293549
- update to new version 1.26

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdv2009.1
+ Revision: 292026
- update to new version 1.25

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.0
+ Revision: 277941
- update to new version 1.24

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.23-2mdv2009.0
+ Revision: 223502
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2008.1
+ Revision: 107200
- update to new version 1.23
- update to new version 1.23

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2008.1
+ Revision: 105300
- update to new version 1.22

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2008.0
+ Revision: 46770
- new version

  + Olivier Thauvin <nanardon@mandriva.org>
    - 1.18


* Tue Jul 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.16-1mdk
- 1.16

* Thu Jun 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15-1mdk
- 1.15

* Thu Jun 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.14-2mdk
- Rebuild

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.14-1mdk
- 1.14

* Mon Oct 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.13-1mdk
- 1.13
- Add examples

* Fri Jul 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.12-1mdk
- New release 1.12
- Remove MANIFEST

* Mon May 10 2004 Michael Scherer <misc@mandrake.org> 1.10-1mdk
- New release 1.10
- remove perl hardcoded requires

* Wed Aug 27 2003 François Pons <fpons@mandrakesoft.com> 1.06-1mdk
- 1.06.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.05-5mdk
- mv rm buildroot from %%prep to %%install
- macroize
- %%makeinstall_std

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-4mdk
- fix buildrequires (Michael Scherer)

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-3mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.05-2mdk
- buildrequires

* Fri Jan 17 2003 François Pons <fpons@mandrakesoft.com> 1.05-1mdk
- 1.05.

* Fri Jul 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.01-1mdk
- 1.01

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.11-2mdk
- rebuild for perl 5.8.0

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.11-1mdk
- updated to 0.11

* Wed Mar 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10-1mdk
- added in contribs by Stefan van der Eijk <s.vandereijk@chello.nl> :
	- new in contrib

